#!/bin/sh

frameGrabber1IpAddr=10.0.0.210
frameGrabber2IpAddr=10.0.0.211
frameGrabber3IpAddr=10.0.0.212
frameGrabber4IpAddr=10.0.0.213

# Master frame-grabber must be listed first; ordering of rest doesn't matter
orderedFrameGrabbers="
$frameGrabber4IpAddr
$frameGrabber1IpAddr
$frameGrabber2IpAddr
$frameGrabber3IpAddr
"

thisScriptHome=`dirname "$0"`
cd "$thisScriptHome"
if [ $? -ne 0 ]; then
  echo "Error: failed to cd to \"$thisScriptHome\"." 1>&2
  exit 1
fi
thisScriptHome=`pwd`
if [ $? -ne 0 ]; then
  echo 'Error: failed to get current working directory.' 1>&2
  exit 1
fi

. "$thisScriptHome/server-env.sh"
if [ $? -ne 0 ]; then
  echo "Error: failed to load \"$thisScriptHome/server-env.sh\"." 1>&2
  exit 1
fi

for each in $orderedFrameGrabbers; do
  "$adscdcHome/bin/$adscdcArch/signal_pc_remote" $each 8038 restart | \
    sed -e 's!^signal_pc_remote: OK$!!'
  if [ $? -ne 0 ]; then
    echo 'Error: signal_pc_remote exited with non-zero exit status.' 1>&2
    exit 1
  fi
done
